/* Spinner */
.on-top {
	position: relative;
	z-index: 9999;
}

.centerer {
	position: fixed;
	top: calc(50% - 15px);
	left: calc(50% - 15px);
}

.sk-spinner-fading-circle.sk-spinner {
	height: 30px;
	width: 30px;
}

.sk-fading-circle {
	margin: 0 auto;
	width: 30px;
	height: 30px;
	position: relative;
}

.sk-fading-circle .sk-circle {
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
}

.sk-fading-circle .sk-circle:before {
	content: '';
	display: block;
	margin: 0 auto;
	width: 15%;
	height: 15%;
	background-color: #252525;
	border-radius: 100%;
	-webkit-animation: sk-circleFadeDelay 1.2s infinite ease-in-out both;
	animation: sk-circleFadeDelay 1.2s infinite ease-in-out both;
}

.sk-fading-circle .sk-circle2 {
	-webkit-transform: rotate(30deg);
	-ms-transform: rotate(30deg);
	transform: rotate(30deg);
}

.sk-fading-circle .sk-circle3 {
	-webkit-transform: rotate(60deg);
	-ms-transform: rotate(60deg);
	transform: rotate(60deg);
}

.sk-fading-circle .sk-circle4 {
	-webkit-transform: rotate(90deg);
	-ms-transform: rotate(90deg);
	transform: rotate(90deg);
}

.sk-fading-circle .sk-circle5 {
	-webkit-transform: rotate(120deg);
	-ms-transform: rotate(120deg);
	transform: rotate(120deg);
}

.sk-fading-circle .sk-circle6 {
	-webkit-transform: rotate(150deg);
	-ms-transform: rotate(150deg);
	transform: rotate(150deg);
}

.sk-fading-circle .sk-circle7 {
	-webkit-transform: rotate(180deg);
	-ms-transform: rotate(180deg);
	transform: rotate(180deg);
}

.sk-fading-circle .sk-circle8 {
	-webkit-transform: rotate(210deg);
	-ms-transform: rotate(210deg);
	transform: rotate(210deg);
}

.sk-fading-circle .sk-circle9 {
	-webkit-transform: rotate(240deg);
	-ms-transform: rotate(240deg);
	transform: rotate(240deg);
}

.sk-fading-circle .sk-circle10 {
	-webkit-transform: rotate(270deg);
	-ms-transform: rotate(270deg);
	transform: rotate(270deg);
}

.sk-fading-circle .sk-circle11 {
	-webkit-transform: rotate(300deg);
	-ms-transform: rotate(300deg);
	transform: rotate(300deg);
}

.sk-fading-circle .sk-circle12 {
	-webkit-transform: rotate(330deg);
	-ms-transform: rotate(330deg);
	transform: rotate(330deg);
}

.sk-fading-circle .sk-circle2:before {
	-webkit-animation-delay: -1.1s;
	animation-delay: -1.1s;
}

.sk-fading-circle .sk-circle3:before {
	-webkit-animation-delay: -1s;
	animation-delay: -1s;
}

.sk-fading-circle .sk-circle4:before {
	-webkit-animation-delay: -0.9s;
	animation-delay: -0.9s;
}

.sk-fading-circle .sk-circle5:before {
	-webkit-animation-delay: -0.8s;
	animation-delay: -0.8s;
}

.sk-fading-circle .sk-circle6:before {
	-webkit-animation-delay: -0.7s;
	animation-delay: -0.7s;
}

.sk-fading-circle .sk-circle7:before {
	-webkit-animation-delay: -0.6s;
	animation-delay: -0.6s;
}

.sk-fading-circle .sk-circle8:before {
	-webkit-animation-delay: -0.5s;
	animation-delay: -0.5s;
}

.sk-fading-circle .sk-circle9:before {
	-webkit-animation-delay: -0.4s;
	animation-delay: -0.4s;
}

.sk-fading-circle .sk-circle10:before {
	-webkit-animation-delay: -0.3s;
	animation-delay: -0.3s;
}

.sk-fading-circle .sk-circle11:before {
	-webkit-animation-delay: -0.2s;
	animation-delay: -0.2s;
}

.sk-fading-circle .sk-circle12:before {
	-webkit-animation-delay: -0.1s;
	animation-delay: -0.1s;
}

@-webkit-keyframes sk-circleFadeDelay {
	0%, 39%, 100% {
		opacity: 0;
	}
	40% {
		opacity: 1;
	}
}

@keyframes sk-circleFadeDelay {
	0%, 39%, 100% {
		opacity: 0;
	}
	40% {
		opacity: 1;
	}
}

/* Calendar */
.calendar {
	width: 100%;
	background-color: #fff;
	margin-bottom: 15px;
}

.month-header td {
	padding: 5px 15px;
	font-size: 16px;
}

.week-header .day {
	padding: 5px 15px;
}

.week .day {
	padding: 15px;
}

.day {
	border: 1px solid #eee;
	width: calc(100% / 7);
}

.day .label {
	display: block;
	margin-bottom: 2px;
}

.grey {
	color: #ccc;
}

.label {
	white-space: normal;
}

/* Custom checkboxes */
.checkbox-wrapper {
	position: relative;
	min-width: 22px;
}

.checkbox-wrapper input {
	display: none;
}

.checkbox-wrapper label {
	margin: 2px 0 0 30px;
	font-weight: normal;
}

/* Checkbox unchecked */
.checkbox-wrapper label span {
	cursor: pointer;
	position: absolute;
	width: 22px;
	height: 22px;
	top: 0;
	left: 0;
	background: transparent;
	border: 1px solid #c3c9ce;
}

/* Check icon */
.checkbox-wrapper label span:after {
	opacity: 0;
	content: '';
	position: absolute;
	width: 11px;
	height: 7px;
	background: transparent;
	top: 5px;
	left: 5px;
	border: 2px solid #fff;
	border-top: none;
	border-right: none;
	transform: rotate(-45deg);
}

/* Hover - checkbox unchecked */
.checkbox-wrapper label span:hover,
.checkbox-wrapper label span:focus {
	border: 2px solid #18a689;
}

/* Checkbox checked */
.checkbox-wrapper input:checked + label span {
	background: #1ab394;
	border-color: #1ab394;
}

/* Check icon - checkbox checked */
.checkbox-wrapper input:checked + label span:after {
	opacity: 1;
}

/* Hover - checkbox checked */
.checkbox-wrapper input:checked + label span:hover,
.checkbox-wrapper input:checked + label span:focus {
	background: #18a689;
	border-color: #18a689;
}

/* Hover - check icon - checkbox checked */
.checkbox-wrapper input:checked + label span:hover:after,
.checkbox-wrapper input:checked + label span:focus:after {
	top: 4px; /* compensate for 1px thicker border on hover */
	left: 4px;
}


/* File reader preview */
/* FILE MANAGER */
.file-box {
	float: left;
	width: 100%;
}
.file-manager h5 {
	text-transform: uppercase;
}
.file-manager {
	list-style: none outside none;
	margin: 0;
	padding: 0;
}
.folder-list li a {
	color: #666666;
	display: block;
	padding: 5px 0;
}
.folder-list li {
	border-bottom: 1px solid #e7eaec;
	display: block;
}
.folder-list li i {
	margin-right: 8px;
	color: #3d4d5d;
}
.category-list li a {
	color: #666666;
	display: block;
	padding: 5px 0;
}
.category-list li {
	display: block;
}
.category-list li i {
	margin-right: 8px;
	color: #3d4d5d;
}
.category-list li a .text-navy {
	color: #1ab394;
}
.category-list li a .text-primary {
	color: #1c84c6;
}
.category-list li a .text-info {
	color: #23c6c8;
}
.category-list li a .text-danger {
	color: #EF5352;
}
.category-list li a .text-warning {
	color: #F8AC59;
}
.file-manager h5.tag-title {
	margin-top: 20px;
}
.tag-list li {
	float: left;
}
.tag-list li a {
	font-size: 10px;
	background-color: #f3f3f4;
	padding: 5px 12px;
	color: inherit;
	border-radius: 2px;
	border: 1px solid #e7eaec;
	margin-right: 5px;
	margin-top: 5px;
	display: block;
}
.file {
	border: 1px solid #e7eaec;
	padding: 0;
	background-color: #ffffff;
	position: relative;
	margin-bottom: 30px;
}
.file-manager .hr-line-dashed {
	margin: 15px 0;
}
.file .icon,
.file .image {
	height: 100px;
	overflow: hidden;
}
.file .icon {
	padding: 15px 10px;
	text-align: center;
}
.file-control {
	color: inherit;
	font-size: 11px;
	margin-right: 10px;
}
.file-control.active {
	text-decoration: underline;
}
.file .icon i {
	font-size: 70px;
	color: #dadada;
}
.file .file-name {
	padding: 10px;
	background-color: #f8f8f8;
	border-top: 1px solid #e7eaec;
	word-wrap: break-word;
}
.file .file-name .name {
	min-height: 40px;
}
.file-name small {
	color: #676a6c;
}
.corner {
	position: absolute;
	display: inline-block;
	width: 0;
	height: 0;
	line-height: 0;
	border: 0.6em solid transparent;
	border-right: 0.6em solid #f1f1f1;
	border-bottom: 0.6em solid #f1f1f1;
	right: 0em;
	bottom: 0em;
}

.delete-image-btn {
	border: none;
	background: none;
}
.delete-image-btn:hover,
.delete-image-btn:focus {
	color: #ec4758;
}
